Ask Your Question
0

Where do I get MPEG-4 codec for KMPlayer? [closed]

asked 2013-04-23 08:30:24 -0500

kkrelove gravatar image

updated 2014-09-28 10:20:49 -0500

mether gravatar image

When I try to play AVI videos in Fedora's KMPlayer I get an error that it needs decoders for MPEG-4 and MPEG-1 Layer 3 but it can't find them "in any configured software source." Also an ASF Demuxer for .WMV videos. How do I get and install any of these video codecs?

Running Fedora 18.

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by FranciscoD_
close date 2014-02-08 02:34:34.205485

Comments

5 Answers

Sort by ยป oldest newest most voted
0

answered 2013-04-23 20:20:40 -0500

sergiomb gravatar image

updated 2013-04-23 20:22:24 -0500

yum install gstreamer1-plugins-bad-freeworld gstreamer1-plugins-good-extras gstreamer1-plugins-ugly gstreamer1-plugins-bad-free-extras

some package are from external repo rpmfusion

and I just check in F19

edit flag offensive delete link more
0

answered 2013-04-23 14:24:03 -0500

sideburns gravatar image

There are several ways, but the easiest (in my opinion) way to do it is to use Autoten: http://autoten.co.uk/ because it can set up the appropriate repos, install the codecs and do a lot of other useful things to get a new installation set up correctly.

edit flag offensive delete link more

Comments

While I used to use easylife and autoten etc., I quite suggest running yum commands and doing it yourself. This at least ensures that you know exactly what's been done to your system.

FranciscoD_ gravatar imageFranciscoD_ ( 2013-04-24 23:01:05 -0500 )edit
0

answered 2013-04-25 20:04:23 -0500

Hey, You could use one of these post installation tools - Fedora Utils, PostInstallerF. They have options to help install most commonly used codecs. Hope this helps.

edit flag offensive delete link more
0

answered 2013-04-24 23:02:33 -0500

FranciscoD_ gravatar image

Configure rpmfusion. Then run:

sudo yum install gstreamer{1,}-{ffmpeg,plugins-{good,ugly,bad{,-free,-nonfree}}} ffmpeg

That should install the entire set.

edit flag offensive delete link more
-1

answered 2013-11-15 02:46:34 -0500

download and re-install KMPlayer

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-04-23 08:30:24 -0500

Seen: 8,967 times

Last updated: Nov 15 '13